---
title: Get Warranties for Cart Items
slug: api-documentation/get-warranties-for-cart-items
docTags: 
createdAt: 2026-08-27T16:53:32.339Z
---

{
  "id": "nt9Nhal_SKSiWJTLZ5fIb",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://api.upstartcommerce.com/v1/cart/profile/cart/warranties",
    "servers": [
      {
        "url": "https://api.upstartcommerce.com/v1/cart/profile/cart/warranties"
      }
    ],
    "name": "Get Warranties for Cart Items",
    "description": "<p>This endpoint lists warranties that can be purchased, and applied to, products in the cart.</p>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        },
        {
          "kind": "required",
          "name": "x-upstart-tenant",
          "type": "string",
          "description": "Tenant identifier associated with the site this call is for."
        },
        {
          "kind": "required",
          "name": "x-upstart-site",
          "type": "string",
          "description": "The site identifier."
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "AnonymousAuth",
          "name": "AnonymousAuth",
          "kind": "optional",
          "type": "http",
          "description": "This is the most basic authentication. The minimum requirement for access is a token representing the user as an anonymous client.",
          "scheme": "bearer"
        },
        {
          "id": "LoggedIn",
          "name": "LoggedIn",
          "kind": "optional",
          "type": "http",
          "description": "The presence of this token indicates that the user is a known consumer that has previously logged into the platform.",
          "scheme": "bearer"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "<p>Success-warranty list returned.</p>",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "A list of warranties that can be bought for standard products currently being in the cart.",
            "customType": "CartWarranties",
            "schema": [
              {
                "name": "id",
                "kind": "required",
                "type": "string<uuid>",
                "description": "Unique identifier for this cart.",
                "example": "5B3B51DF-5AE2-4ED0-A1BE-3332B48745F2",
                "format": "uuid"
              },
              {
                "name": "offeredWarranties",
                "kind": "optional",
                "type": "array",
                "description": "",
                "modelRef": "#/components/schemas/OfferedWarrantySku",
                "customType": "OfferedWarrantySku[]",
                "schema": [
                  {
                    "name": "catalogItemId",
                    "kind": "required",
                    "type": "string",
                    "description": "Unique identifier of an offered warranty catalog item."
                  },
                  {
                    "name": "sku",
                    "kind": "required",
                    "type": "object",
                    "description": "",
                    "modelRef": "#/components/schemas/WarrantyItemSummary",
                    "customType": "WarrantyItemSummary",
                    "schema": [
                      {
                        "name": "skuId",
                        "kind": "required",
                        "type": "string",
                        "description": "",
                        "modelRef": "#/components/schemas/SkuItemId",
                        "customType": "SkuItemId",
                        "schema": []
                      },
                      {
                        "name": "name",
                        "kind": "required",
                        "type": "string",
                        "description": ""
                      },
                      {
                        "name": "description",
                        "kind": "required",
                        "type": "string",
                        "description": ""
                      },
                      {
                        "name": "termsAndConditions",
                        "kind": "required",
                        "type": "object",
                        "discriminator": {
                          "propertyName": "type",
                          "mapping": {
                            "DrupalTermsAndConditions": "#/components/schemas/DrupalTermsAndConditions",
                            "UrlTermsAndConditions": "#/components/schemas/UrlTermsAndConditions",
                            "CloudinaryAsset": "#/components/schemas/CloudinaryAsset"
                          }
                        },
                        "description": "Base trait for terms and conditions",
                        "modelRef": "#/components/schemas/TermsAndConditions",
                        "customType": "TermsAndConditions",
                        "schema": [],
                        "complexType": "oneOf",
                        "complexItems": [
                          {
                            "name": "DrupalTermsAndConditions",
                            "description": "",
                            "modelRef": "#/components/schemas/DrupalTermsAndConditions",
                            "schema": [
                              {
                                "name": "resource",
                                "kind": "required",
                                "type": "object",
                                "discriminator": {
                                  "propertyName": "type",
                                  "mapping": {
                                    "NidDrupalResource": "#/components/schemas/NidDrupalResource",
                                    "ResolvedDrupalResource": "#/components/schemas/ResolvedDrupalResource"
                                  }
                                },
                                "description": "Base trait for a Drupal resource",
                                "modelRef": "#/components/schemas/DrupalResource",
                                "customType": "DrupalResource",
                                "schema": [],
                                "complexType": "oneOf",
                                "complexItems": [
                                  {
                                    "name": "NidDrupalResource",
                                    "description": "",
                                    "modelRef": "#/components/schemas/NidDrupalResource",
                                    "schema": [
                                      {
                                        "name": "",
                                        "description": "",
                                        "customType": "Max depth limit reached"
                                      }
                                    ]
                                  },
                                  {
                                    "name": "ResolvedDrupalResource",
                                    "description": "",
                                    "modelRef": "#/components/schemas/ResolvedDrupalResource",
                                    "schema": [
                                      {
                                        "name": "",
                                        "description": "",
                                        "customType": "Max depth limit reached"
                                      }
                                    ]
                                  }
                                ]
                              },
                              {
                                "name": "type",
                                "kind": "optional",
                                "type": "string<DrupalTermsAndConditions>",
                                "description": "",
                                "enum": [
                                  "DrupalTermsAndConditions"
                                ]
                              }
                            ]
                          },
                          {
                            "name": "UrlTermsAndConditions",
                            "description": "",
                            "modelRef": "#/components/schemas/UrlTermsAndConditions",
                            "schema": [
                              {
                                "name": "url",
                                "kind": "required",
                                "type": "string",
                                "description": "URL of the terms and conditions"
                              },
                              {
                                "name": "version",
                                "kind": "optional",
                                "type": "integer<int32>",
                                "description": "Optional version of the terms",
                                "format": "int32"
                              },
                              {
                                "name": "validSince",
                                "kind": "optional",
                                "type": "string<date-time>",
                                "description": "Optional date since when the terms are valid",
                                "format": "date-time"
                              },
                              {
                                "name": "type",
                                "kind": "optional",
                                "type": "string<UrlTermsAndConditions>",
                                "description": "",
                                "enum": [
                                  "UrlTermsAndConditions"
                                ]
                              }
                            ]
                          },
                          {
                            "name": "CloudinaryAsset",
                            "description": "",
                            "modelRef": "#/components/schemas/CloudinaryAsset",
                            "schema": [
                              {
                                "name": "",
                                "description": "",
                                "customType": "Max depth limit reached"
                              }
                            ]
                          }
                        ]
                      },
                      {
                        "name": "dynamicProperties",
                        "kind": "optional",
                        "type": "object",
                        "description": "",
                        "example": "",
                        "schema": []
                      },
                      {
                        "name": "pricing",
                        "kind": "optional",
                        "type": "object",
                        "description": "Pricing details of the item",
                        "modelRef": "#/components/schemas/Pricing",
                        "customType": "Pricing",
                        "schema": [
                          {
                            "name": "price",
                            "kind": "required",
                            "type": "number",
                            "description": "The price of the item"
                          },
                          {
                            "name": "currency",
                            "kind": "required",
                            "type": "string",
                            "description": "",
                            "example": "USD",
                            "pattern": "^[A-Z]{3}$"
                          }
                        ]
                      },
                      {
                        "name": "purchasable",
                        "kind": "required",
                        "type": "boolean",
                        "description": "",
                        "default": true
                      },
                      {
                        "name": "disabled",
                        "kind": "required",
                        "type": "boolean",
                        "description": "",
                        "default": false
                      },
                      {
                        "name": "type",
                        "kind": "optional",
                        "type": "string<warranty>",
                        "description": "",
                        "enum": [
                          "warranty"
                        ]
                      }
                    ]
                  },
                  {
                    "name": "targetItemIds",
                    "kind": "required",
                    "type": "array",
                    "description": "",
                    "example": "",
                    "itemType": "string",
                    "customType": "string[]",
                    "itemExample": "",
                    "itemDefault": ""
                  },
                  {
                    "name": "price",
                    "kind": "required",
                    "type": "number",
                    "description": ""
                  }
                ]
              },
              {
                "name": "currency",
                "kind": "optional",
                "type": "string",
                "description": "",
                "example": "USD",
                "pattern": "^[A-Z]{3}$"
              }
            ],
            "modelRef": "#/components/schemas/CartWarranties",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "400",
        "description": "The request contained information that the server was unable to process. Appropriate errors are provided in the response body.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ValidationErrorResponse",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "detail",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/ValidationErrorResponse",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "401",
        "description": "The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ErrorResponse",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "detail",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "reason",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/ErrorResponse",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "404",
        "description": "The requested resource was not found in the NoChannel system.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ErrorResponse",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "detail",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "reason",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/ErrorResponse",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "O656wKDttNrYLIDN_nYHW",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url https://api.upstartcommerce.com/v1/cart/profile/cart/warranties \\\n     --header 'accept: application/json' \\\n     --header 'x-upstart-tenant: string' \\\n     --header 'x-upstart-site: string'"
        },
        {
          "id": "phIeEiRU2P79nngi2tvfy",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\nmyHeaders.append(\"x-upstart-tenant\", \"string\");\nmyHeaders.append(\"x-upstart-site\", \"string\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.upstartcommerce.com/v1/cart/profile/cart/warranties\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "yYcmackknVqpv9hcYiczk",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.upstartcommerce.com/v1/cart/profile/cart/warranties\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest[\"x-upstart-tenant\"] = \"string\"\nrequest[\"x-upstart-site\"] = \"string\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "EGFXyj5_n6pyHWQJZylPO",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.upstartcommerce.com/v1/cart/profile/cart/warranties\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json',\n   'x-upstart-tenant': 'string',\n   'x-upstart-site': 'string'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "O656wKDttNrYLIDN_nYHW"
    },
    "results": {
      "languages": [
        {
          "id": "gE5Fgi-B4nY9icqGZlln9",
          "language": "200",
          "code": "// Success-warranty list returned.\n{\n  \"id\": \"5B3B51DF-5AE2-4ED0-A1BE-3332B48745F2\",\n  \"offeredWarranties\": [\n    {\n      \"catalogItemId\": \"\",\n      \"sku\": {\n        \"skuId\": \"\",\n        \"name\": \"\",\n        \"description\": \"\",\n        \"termsAndConditions\": {},\n        \"dynamicProperties\": {},\n        \"pricing\": {\n          \"price\": 0,\n          \"currency\": \"USD\"\n        },\n        \"purchasable\": false,\n        \"disabled\": false,\n        \"type\": \"\"\n      },\n      \"targetItemIds\": [\n        \"\"\n      ],\n      \"price\": 0\n    }\n  ],\n  \"currency\": \"USD\"\n}"
        },
        {
          "id": "1P_sBtNNoIJ4vW_pbNpab",
          "language": "400",
          "code": "// The request contained information that the server was unable to process. Appropriate errors are provided in the response body.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"detail\": \"\"\n}"
        },
        {
          "id": "S1azb4wmkW3KgHf17OILU",
          "language": "401",
          "code": "// The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"detail\": \"\",\n  \"reason\": \"\"\n}"
        },
        {
          "id": "vDQQ9kLm5iNFuAF6OQTPr",
          "language": "404",
          "code": "// The requested resource was not found in the NoChannel system.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"detail\": \"\",\n  \"reason\": \"\"\n}"
        }
      ],
      "selectedLanguageId": "gE5Fgi-B4nY9icqGZlln9"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}